﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="index.aspx.cs" Inherits="Gwbnsh.Web.api.payment.wxnatpay.index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>微信扫码支付</title>
    <meta http-equiv="content-type" content="text/html;image/gif;charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" type="text/css" href="http://static.gwbnsh.net.cn/webapp/css/base.css" />
    <link rel="stylesheet" type="text/css" href="http://static.gwbnsh.net.cn/webapp/css/core.css" />
    <link rel="icon" href="http://static.gwbnsh.net.cn/favicon.ico" type="image/x-icon" />
    <script type="text/javascript" charset="utf-8" src="../../../scripts/jquery/jquery-1.11.2.min.js"></script>
    <script type="text/javascript">
        $(function () {
            sendPost(); //调用监听事件
        });
        //监听订单支付状态
        function sendPost() {
            //发送AJAX请求
            $.ajax({
                url: "return_url.aspx",
                type: "POST",
                timeout: 30000,
                data: { "order_no": "<%=order_no%>" },
                dataType: "json",
                success: function (data, type) {
                    if (data.status == 1) {
                        $("#tips").show();
                        setTimeout(function () {
                            location.href = data.url; //支付成功后跳转
                        }, 1000);
                    } else {
                        time();
                    }
                }
            });
        }
        function time() {
            setTimeout(function () {
                sendPost();
            }, 5000);
        }
    </script>
    <style type="text/css">
        body {
            margin: 0;
            padding: 0;
        }

        h2 {
            display: block;
            text-align: center;
            line-height: 42px;
            height: 42px;
            font-size: 20px;
            color: #fff;
            background: #333;
        }

        p {
            margin: 30px auto;
            text-align: center;
            font-family: "Microsoft Yahei";
        }

            p.price {
                color: #333;
                font-size: 24px;
            }

        #tips {
            display: none;
        }

        p span.tip-box {
            margin: 0 auto;
            display: inline-block;
            color: #71b83d;
            font-size: 16px;
            padding-left: 20px;
            background: url(../../../css/valid_icons.png) no-repeat -40px -20px;
        }
    </style>

</head>
<body>
    <div class="topbar" style="line-height: 40px;">
    </div>
    <div id="header" style="height: 100px;">
        <div class="wrap p_rel clearfix top_wrap">
            <div class="logo">
                <a href="http://www.gwbnsh.net.cn/" target="_blank">
                    <img src="http://static.gwbnsh.net.cn/webapp/images/logo.png" width="360" height="48" alt="上海长城宽带" title="上海长城宽带" /></a>
            </div>
            <span class="tel">
                <img src="http://static.gwbnsh.net.cn/webapp/images/tel.png" alt="95079" title=""></span>
        </div>
    </div>
    <div class="main_container">
        <div class="wrap order_info ewm_area">
            <span><em class="mr20 icon ico_ok"></em>
                请您及时付款，以便订单及时处理！ 
            <span style="float: right;">应付金额：<span style="color: red"><asp:Literal ID="litText" runat="server"></asp:Literal>
            </span>元
            </span>
        </div>
        <div class="wrap scan_wrap clearfix">
            <div class="DFl ewm_area">
                <asp:Image Width="300px" Height="300px" ID="imgQRCode" runat="server" />
                <p class="p_rel info">
                    <em class="icon ico_scan"></em>请使用微信扫一扫<br />
                    扫描二维码支付
                </p>
            </div>
            <img src="http://static.gwbnsh.net.cn/webapp/images/wx_scan.png" alt="" title="" class="DFr wx_pic" />
            <p id="tips"><span class="tip-box">已支付成功，正在跳转...</span></p>
        </div>
    </div>
    <div class="bottom">
        <p class="wrap copyright">地址：闸北区江场西路387号数据港大厦 版权所有 &copy;上海长城宽带网络服务有限公司 ICP证：沪B2-20030148 沪ICP备:13039803号</p>
    </div>
    <style type="text/css">
        .bottom {
            position: fixed;
            bottom: 0;
            left: 0;
            height: 40px;
            line-height: 40px;
            width: 100%;
            background: #2b2b2b none repeat scroll 0 0;
            color: #fff;
            text-align: center;
        }

        body:after {
            content: "",dispaly:block;
            height: 40px;
            clear: none;
        }
    </style>

    <script type="text/javascript" src="http://static.gwbnsh.net.cn/webapp/js/jquery-1.7.2.min.js"></script>
    <script type="text/javascript" src="http://static.gwbnsh.net.cn/webapp/js/share_code.js"></script>
    <script type="text/javascript" src="http://static.gwbnsh.net.cn/webapp/js/jquery.SuperSlide.2.1.1.js"></script>
    <script type="text/javascript" src="http://static.gwbnsh.net.cn/webapp/js/jquery.qrcode.min.js"></script>
    <script type="text/javascript">
        window.onload = function () {
            $("#qrcode").qrcode({
                render: "canvas",
                width: 300, //宽度 
                height: 300, //高度 
                text: "weixin://wxpay/bizpayurl?pr=zxlqlaA" //任意内容 
            });
        }

        jQuery("#pic_focus").slide({ mainCell: ".bd ul", effect: "left", autoPlay: true });
        jQuery(".imgbox").slide({ titCell: ".hd ul", mainCell: ".bd ul", autoPage: true, effect: "left", vis: 4 });
        window.setTimeout("checkStatus()", 1000);
        //checkStatus();
        function checkStatus() {
            var appId = document.getElementById("hiddenAppId").value;
            var mchId = document.getElementById("hiddenMchId").value;
            var deviceInfo = document.getElementById("hiddenDeviceInfo").value;
            var nonceStr = document.getElementById("hiddenNonceStr").value;
            var sign = document.getElementById("hiddenSign").value;
            var body = document.getElementById("hiddenBody").value;
            var attach = document.getElementById("hiddenAttach").value;
            var outTradeNo = document.getElementById("hiddenOutTradeNo").value;
            var totalFee = document.getElementById("hiddenTotalFee").value;
            var spbillCreateIp = document.getElementById("hiddenSpbillCreateIp").value;
            var notifyUrl = document.getElementById("hiddenNotifyUrl").value;
            var tradeType = document.getElementById("hiddenTradeType").value;

            jQuery.ajax({
                async: 'false',
                url: 'getOrderStatus.html',
                data: {
                    "appid": appId,
                    "mch_id": mchId,
                    "device_info": deviceInfo,
                    "nonce_str": nonceStr,
                    "sign": sign,
                    "body": body,
                    "attach": attach,
                    "out_trade_no": outTradeNo,
                    "total_fee": totalFee,
                    "spbill_create_ip": spbillCreateIp,
                    "notify_url": notifyUrl,
                    "trade_type": tradeType
                },
                type: 'post',
                dataType: 'JSON',
                success: function (msg) {
                    if (msg.code == '0' && msg.pay_code == '1') {
                        jQuery("#successForm").submit();
                    } else {
                        window.setTimeout("checkStatus()", 1000);
                    }
                }
            });
        }
    </script><div style="display:none;">
        <script>
            var _hmt = _hmt || [];
            (function () {
                var hm = document.createElement("script");
                hm.src = "//hm.baidu.com/hm.js?84ff62217a1dc70b20296739785a5ed1";
                var s = document.getElementsByTagName("script")[0];
                s.parentNode.insertBefore(hm, s);
            })();
        </script>
        <script src="http://s20.cnzz.com/stat.php?id=5217658&web_id=5217658&show=pic" language="JavaScript"></script>
    </div>
</body>
</html>
